# va.mak
# Created by IBM WorkFrame/2 MakeMake at 13:23:16 on 29 June 1996
#
# The actions included in this make file are:
#  Compile::C++ Compiler
#  Link::Linker
#  Bind::Resource Bind

.SUFFIXES: .cpp .obj



.all: \
    C:\source\OOL\samples\sample4\sample4.exe

.cpp.obj:
    @echo " Compile::C++ Compiler "
    icc.exe /Tdp /Ti /Gm /C %s
#    icc.exe /Q /Ti /Gm+ /Gd- /Fo"%|dpfF.obj" /C %s

C:\source\OOL\samples\sample4\sample4.exe: \
    C:\source\OOL\samples\sample4\sample4.obj \
    C:\source\OOL\samples\sample4\sample4.RES \
    {$(LIB)}oolm3i01.lib
    @echo " Link::Linker "
    @echo " Bind::Resource Bind "
    icc.exe @<<
     /Tdp /Fi /Si /Ti /Gm /B" /noe /pmtype:pm"
     /FeC:\source\OOL\samples\sample4\sample4.exe
     mmpm2.lib
     oolm3i01.lib
     C:\source\OOL\samples\sample4\sample4.obj
<<
    rc.exe C:\source\OOL\samples\sample4\sample4.RES C:\source\OOL\samples\sample4\sample4.exe

C:\source\OOL\samples\sample4\sample4.obj: \
    C:\source\OOL\samples\sample4\sample4.cpp \
    {C:\source\OOL\samples\sample4;$(INCLUDE);}sample4.h \
    {C:\source\OOL\samples\sample4;$(INCLUDE);}xheaders.h \
    {C:\source\OOL\samples\sample4;$(INCLUDE);}resource.h
